org.apache.fop.layoutmgr

## Interface TopLevelLayoutManager

All Known Implementing Classes:
  AbstractPageSequenceLayoutManager, ExternalDocumentLayoutManager, PageSequenceLayoutManager

    public interface TopLevelLayoutManager

This interface is implemented by top-level layout managers such as the ones for fo:page-sequence and fox:external-document.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `activateLayout()` Activate the layout of this page sequence.
`void` `doForcePageCount(Numeric nextPageSeqInitialPageNumber)` Act upon the force-page-count trait, in relation to the initial-page-number trait of the following page-sequence.
`void` `finishPageSequence()` Finished the page-sequence and notifies everyone about it.

### Method Detail

#### activateLayout

    void activateLayout()

Activate the layout of this page sequence. PageViewports corresponding to each page generated by this page sequence will be created and sent to the AreaTreeModel for rendering.

#### doForcePageCount

    void doForcePageCount(Numeric nextPageSeqInitialPageNumber)

Act upon the force-page-count trait, in relation to the initial-page-number trait of the following page-sequence.

Parameters:
  `nextPageSeqInitialPageNumber` - initial-page-number trait of next page-sequence

#### finishPageSequence

    void finishPageSequence()

Finished the page-sequence and notifies everyone about it.